GET api/rfidreaderapi/rfidReader/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
RfidReaderViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| duration | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| ip | string |
None. |
|
| name | string |
Required |
|
| power | decimal number |
None. |
|
| sector_entry | integer |
None. |
|
| sector_exit | integer |
None. |
|
| sensibility | decimal number |
None. |
|
| site_id | globally unique identifier |
Required |
|
| tag_filter | string |
None. |
|
| rfid_reader_type_id | globally unique identifier |
Required |
|
| active | boolean |
Required |
Response Formats
application/json, text/json
Sample:
{
"duration": 1,
"id": "2941ea88-5ec1-4cff-8d95-386f41cb39a0",
"ip": "sample string 2",
"name": "sample string 3",
"power": 1.1,
"sector_entry": 1,
"sector_exit": 1,
"sensibility": 1.1,
"site_id": "699edf17-46c4-41d4-9ecc-d89e78e2ab1e",
"tag_filter": "sample string 4",
"rfid_reader_type_id": "e647eca1-0770-432c-9e6a-28665591684a",
"active": true
}
application/xml, text/xml
Sample:
<rfid_reader xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <duration>1</duration> <id>2941ea88-5ec1-4cff-8d95-386f41cb39a0</id> <ip>sample string 2</ip> <name>sample string 3</name> <power>1.1</power> <rfid_reader_type_id>e647eca1-0770-432c-9e6a-28665591684a</rfid_reader_type_id> <sector_entry>1</sector_entry> <sector_exit>1</sector_exit> <sensibility>1.1</sensibility> <site_id>699edf17-46c4-41d4-9ecc-d89e78e2ab1e</site_id> <tag_filter>sample string 4</tag_filter> </rfid_reader>